<?php

namespace App\Http\Controllers\AdminAuth;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Carbon\Carbon;

class HomeController extends Controller
{
    private $data = array(
        'controller' => 'AdminAuth\HomeController',
        'title' => 'Home',
        'menu' => 'home',
        'submenu' => '',
    );


    public function index(){

        return view('admin.home.home',$this->data);
    }
    public function analytics(){
        abort_unless(Auth::guard('admin')->user()->hasAnyPermission(['analytics']), 403);
		
        return view('admin.analytics',$this->data);
    }

    public function analytics_data(Request $request){
        
    }
	
}
